Skip to main content
GET
/
v1
/
jobs
/
{jobID}
/
health
Get job health
curl --request GET \
  --url https://api.strait.dev/v1/jobs/{jobID}/health \
  --header 'Authorization: Bearer <token>'
{
  "avg_duration_secs": 123,
  "canceled_runs": 123,
  "completed_runs": 123,
  "crashed_runs": 123,
  "expired_runs": 123,
  "failed_runs": 123,
  "health_score": 123,
  "job_id": "<string>",
  "p95_duration_secs": 123,
  "p99_duration_secs": 123,
  "since": "2023-11-07T05:31:56Z",
  "success_rate": 123,
  "timed_out_runs": 123,
  "total_runs": 123,
  "window": "<string>",
  "$schema": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.strait.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Path Parameters

jobID
string
required

Query Parameters

window
string

Response

OK

avg_duration_secs
number<double>
required
canceled_runs
integer<int64>
required
completed_runs
integer<int64>
required
crashed_runs
integer<int64>
required
expired_runs
integer<int64>
required
failed_runs
integer<int64>
required
health_score
number<double>
required
job_id
string
required
p95_duration_secs
number<double>
required
p99_duration_secs
number<double>
required
since
string<date-time>
required
success_rate
number<double>
required
timed_out_runs
integer<int64>
required
total_runs
integer<int64>
required
window
string
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.strait.dev/schemas/JobHealthResponse.json"